### Enumeration

# Xdp UpdateStatus

#### Declaration

    enum Xdp.UpdateStatus

#### Description [src]

The values of this enum are returned in the `XdpPortal::update-progress` signal to indicate the current progress of an installation.

#### Members

Name | Description
--- | ---
`XDP_UPDATE_STATUS_RUNNING` | Installation in progress.
`XDP_UPDATE_STATUS_EMPTY` | Nothing to install.
`XDP_UPDATE_STATUS_DONE` | Installation finished successfully.
`XDP_UPDATE_STATUS_FAILED` | Installation failed.